org.jboss.resteasy.plugins.providers.atom.app

## Class AppCategories

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.atom.app.AppCommonAttributes
  - - org.jboss.resteasy.plugins.providers.atom.app.AppCategories

- All Implemented Interfaces:
    Serializable

      public class AppCategories
      extends AppCommonAttributes

  The app:categories element can contain a "fixed" attribute, with a value of either "yes" or "no", indicating whether the list of categories is a fixed or an open set. The absence of the "fixed" attribute is equivalent to the presence of a "fixed" attribute with a value of "no". Alternatively, the app:categories element MAY contain an "href" attribute, whose value MUST be an IRI reference identifying a Category Document. If the "href" attribute is provided, the app: categories element MUST be empty and MUST NOT have the "fixed" or "scheme" attributes.
  Version:
    $Revision: 1 $
  Author:
    Kurt Stam
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Category>` | `category`
    `protected Boolean` | `fixed`
    `protected String` | `href`
    `protected String` | `scheme`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppCategories()`
    `AppCategories(List<Category> category, Boolean fixed, String scheme, String href)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Category>` | `getCategory()` Gets the value of the category property.
    `String` | `getHref()` Gets the value of the href property.
    `String` | `getScheme()` Gets the value of the scheme property.
    `Boolean` | `isFixed()` Gets the value of the fixed property.
    `void` | `setFixed(Boolean value)` Sets the value of the fixed property.
    `void` | `setHref(String value)` Sets the value of the href property.
    `void` | `setScheme(String value)` Sets the value of the scheme property.

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.app.AppCommonAttributes

      `getBase, getLang, getOtherAttributes, getSpace, setBase, setLang, setSpace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### category

          protected List<Category> category

    - #### fixed

          protected Boolean fixed

    - #### scheme

          protected String scheme

    - #### href

          protected String href

  - ### Constructor Detail

    - #### AppCategories

          public AppCategories()

    - #### AppCategories

          public AppCategories(List<Category> category,
                       Boolean fixed,
                       String scheme,
                       String href)

  - ### Method Detail

    - #### getCategory

          public List<Category> getCategory()

      Gets the value of the category property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the category property.

      For example, to add a new item, do as follows:

              getCategory().add(newItem);

      Objects of the following type(s) are allowed in the list `AppCategoryType`

    - #### isFixed

          public Boolean isFixed()

      Gets the value of the fixed property.
      Returns:
        possible object is `Boolean`

    - #### setFixed

          public void setFixed(Boolean value)

      Sets the value of the fixed property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getScheme

          public String getScheme()

      Gets the value of the scheme property.
      Returns:
        possible object is `String`

    - #### setScheme

          public void setScheme(String value)

      Sets the value of the scheme property.
      Parameters:
        `value` - allowed object is `String`

    - #### getHref

          public String getHref()

      Gets the value of the href property.
      Returns:
        possible object is `String`

    - #### setHref

          public void setHref(String value)

      Sets the value of the href property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2014. All Rights Reserved.